Metacat - Bug #3394

can't upload xml documents via multipart
06/12/2008 01:00 PM - Chad Berkley

Status: Resolved Start date: 06/12/2008
Priority: Immediate Due date:

Assignee: dJing Tao % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 1.8.1 Spent time: 0.00 hour
Bugzilla-ld: 3394

Description

You can only upload a binary file via the action=upload functionality. This should be changed to allow xml documents as well since

you may want to use multipart encoding to upload an xml file from a web form instead of having to send the entire text of the

document with the action=insert function.

History

#1 - 06/13/2008 10:33 AM - Chad Berkley

| added functionality to metacat to allow this. the new action is called "insertmultipart". | haven't made it work with updates yet but that should be

pretty straightforward.

#2 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3394
